using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DrugiZadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            long n = long.Parse(Console.ReadLine());
            long[] a = new long[n];
            long z = 0;
            long x;
            for (long i = 0; i < n; i++)
            {
                a[i] = long.Parse(Console.ReadLine());
            }
            if (n == 2)
            {
                x = a[0];
                a[0] = a[1];
                a[1] = x;
                for (long i = 0; i < n; i++)
                {
                    Console.Write(a[i] + " ");
                }
            }
            else
            {
                while (z != n)
                {
                    for (long i = 2; i < n; i++)
                    {
                        if (a[z] < a[i])
                        {
                            x = a[z];
                            a[z] = a[i];
                            a[i] = x;
                        }
                    }
                    z++;
                }
                for (long i = 0; i < n; i++)
                {
                    Console.Write(a[i] + " ");
                }
            }
        }
    }
}